Package net.sf.saxon.serialize.charcode

## Class JavaCharacterSet

- java.lang.Object
- - net.sf.saxon.serialize.charcode.JavaCharacterSet

- All Implemented Interfaces:
    `CharacterSet`

      public class JavaCharacterSet
      extends java.lang.Object
      implements CharacterSet

  This class establishes properties of a character set that is known to the Java VM but not specifically known to Saxon. It determines whether particular characters are encodable by calling `CharsetEncoder.canEncode(char)`, and then caches this information locally.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.HashMap<java.nio.charset.Charset,​JavaCharacterSet>` | `map` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCanonicalName()` | Get the preferred Java name of the character set.
    `boolean` | `inCharset​(int c)` | Determine if a character is present in the character set
    `static JavaCharacterSet` | `makeCharSet​(java.nio.charset.Charset charset)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          public static java.util.HashMap<java.nio.charset.Charset,​JavaCharacterSet> map

  - ### Method Detail

    - #### makeCharSet

          public static JavaCharacterSet makeCharSet​(java.nio.charset.Charset charset)

    - #### inCharset

          public final boolean inCharset​(int c)

      Description copied from interface: `CharacterSet`
      Determine if a character is present in the character set
      Specified by:
        `inCharset` in interface `CharacterSet`

    - #### getCanonicalName

          public java.lang.String getCanonicalName()

      Description copied from interface: `CharacterSet`
      Get the preferred Java name of the character set. Note that Java in many cases also supports a "historic name".
      Specified by:
        `getCanonicalName` in interface `CharacterSet`